<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/SoundEvents/PlayerSoundEvents/Events/HeatComfortEvents.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('db/d80/_heat_comfort_events_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">HeatComfortEvents.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../db/d80/_heat_comfort_events_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../db/d80/_heat_comfort_events_8c.html#ace0f2a175aec82461504d96a4ef16197">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../df/d57/class_heat_comfort_events_base.html">HeatComfortEventsBase</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../d5/def/class_player_sound_event_base.html">PlayerSoundEventBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>    </div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d5/def/class_player_sound_event_base.html#ab01aa097a21faceb59c39b481d9eb4a7">    4</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/def/class_player_sound_event_base.html#ab01aa097a21faceb59c39b481d9eb4a7">HeatComfortEventsBase</a>()</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>    {</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>        <a class="code hl_variable" href="../../dd/d40/_player_sound_event_base_8c.html#a54288b4389af442f91defeacc6262bdd">m_HasPriorityOverTypes</a> = <a class="code hl_enumeration" href="../../dd/d40/_player_sound_event_base_8c.html#a2f8cbb1a644e4997001af74fb86e1695">EPlayerSoundEventType</a>.DUMMY | <a class="code hl_enumeration" href="../../dd/d40/_player_sound_event_base_8c.html#a2f8cbb1a644e4997001af74fb86e1695">EPlayerSoundEventType</a>.INJURY | <a class="code hl_enumeration" href="../../dd/d40/_player_sound_event_base_8c.html#a2f8cbb1a644e4997001af74fb86e1695">EPlayerSoundEventType</a>.STAMINA | <a class="code hl_enumeration" href="../../dd/d40/_player_sound_event_base_8c.html#a2f8cbb1a644e4997001af74fb86e1695">EPlayerSoundEventType</a>.GENERAL;<span class="comment">//-1 for all</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        <a class="code hl_variable" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#abfdaa01618f1af01d1a23e2611c0109f">m_Type</a> = <a class="code hl_enumeration" href="../../dd/d40/_player_sound_event_base_8c.html#a2f8cbb1a644e4997001af74fb86e1695">EPlayerSoundEventType</a>.GENERAL;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    }</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d5/def/class_player_sound_event_base.html#a638d0d6163817cb025abdf2d08ed8a67">   10</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d5/def/class_player_sound_event_base.html#a638d0d6163817cb025abdf2d08ed8a67">HasPriorityOverCurrent</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_enumeration" href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88">EPlayerSoundEventID</a> other_state_id,<a class="code hl_enumeration" href="../../dd/d40/_player_sound_event_base_8c.html#a2f8cbb1a644e4997001af74fb86e1695">EPlayerSoundEventType</a> type_other )</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    {</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    }</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>}</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span> </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="keyword">class </span><a class="code hl_function" href="../../db/d80/_heat_comfort_events_8c.html#ace0f2a175aec82461504d96a4ef16197">FreezingSoundEvent</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../df/d57/class_heat_comfort_events_base.html">HeatComfortEventsBase</a></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>{</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/d80/_heat_comfort_events_8c.html#ace0f2a175aec82461504d96a4ef16197">FreezingSoundEvent</a>()</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    {</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../db/d80/_heat_comfort_events_8c.html#a3c9c33155969fb461ffd1c4914e4a729">   20</a></span>        <a class="code hl_variable" href="../../d5/d2d/_effect_8c.html#a231c2447c3602426c9e06e6094bae8a8">m_ID</a> = <a class="code hl_enumeration" href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88">EPlayerSoundEventID</a>.FREEZING;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <a class="code hl_variable" href="../../d7/dfc/_sound_events_8c.html#a8be8205879e1a5afc5b6a40317946990">m_SoundVoiceAnimEventClassID</a> = 11;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    }</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>}</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span> </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../df/d57/class_heat_comfort_events_base.html">   25</a></span><span class="keyword">class </span>HotSoundEvent <span class="keyword">extends</span> <a class="code hl_class" href="../../df/d57/class_heat_comfort_events_base.html">HeatComfortEventsBase</a></div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="../../db/d80/_heat_comfort_events_8c.html#a001b79d75ef567320d4a043560b4412f">   26</a></span>{</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno"><a class="line" href="../../df/d57/class_heat_comfort_events_base.html#a980c5c1ed811acb203e5463d88ad3b07">   27</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d57/class_heat_comfort_events_base.html#a980c5c1ed811acb203e5463d88ad3b07">HotSoundEvent</a>()</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    {</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <a class="code hl_variable" href="../../d5/d2d/_effect_8c.html#a231c2447c3602426c9e06e6094bae8a8">m_ID</a> = <a class="code hl_enumeration" href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88">EPlayerSoundEventID</a>.HOT;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <a class="code hl_variable" href="../../d7/dfc/_sound_events_8c.html#a8be8205879e1a5afc5b6a40317946990">m_SoundVoiceAnimEventClassID</a> = 1111111;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    }</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>}</div>
<div class="ttc" id="a4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_html_abfdaa01618f1af01d1a23e2611c0109f"><div class="ttname"><a href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#abfdaa01618f1af01d1a23e2611c0109f">m_Type</a></div><div class="ttdeci">eBleedingSourceType m_Type</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html#l00025">BleedingSource.c:25</a></div></div>
<div class="ttc" id="a_effect_8c_html_a231c2447c3602426c9e06e6094bae8a8"><div class="ttname"><a href="../../d5/d2d/_effect_8c.html#a231c2447c3602426c9e06e6094bae8a8">m_ID</a></div><div class="ttdeci">protected int m_ID</div><div class="ttdoc">ID of effect, given by SEffectManager when registered (automatically done when playing through it)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2d/_effect_8c_source.html#l00049">Effect.c:49</a></div></div>
<div class="ttc" id="a_heat_comfort_events_8c_html_ace0f2a175aec82461504d96a4ef16197"><div class="ttname"><a href="../../db/d80/_heat_comfort_events_8c.html#ace0f2a175aec82461504d96a4ef16197">FreezingSoundEvent</a></div><div class="ttdeci">class HeatComfortEventsBase extends PlayerSoundEventBase FreezingSoundEvent()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d80/_heat_comfort_events_8c_source.html#l00001">HeatComfortEvents.c:18</a></div></div>
<div class="ttc" id="a_player_sound_event_base_8c_html_a2f8cbb1a644e4997001af74fb86e1695"><div class="ttname"><a href="../../dd/d40/_player_sound_event_base_8c.html#a2f8cbb1a644e4997001af74fb86e1695">EPlayerSoundEventType</a></div><div class="ttdeci">EPlayerSoundEventType</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d40/_player_sound_event_base_8c_source.html#l00001">PlayerSoundEventBase.c:2</a></div></div>
<div class="ttc" id="a_player_sound_event_base_8c_html_a54288b4389af442f91defeacc6262bdd"><div class="ttname"><a href="../../dd/d40/_player_sound_event_base_8c.html#a54288b4389af442f91defeacc6262bdd">m_HasPriorityOverTypes</a></div><div class="ttdeci">EPlayerSoundEventType m_HasPriorityOverTypes</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d40/_player_sound_event_base_8c_source.html#l00039">PlayerSoundEventBase.c:39</a></div></div>
<div class="ttc" id="a_player_sound_event_handler_8c_html_ae40d08748e52403c01d49f8987673c88"><div class="ttname"><a href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88">EPlayerSoundEventID</a></div><div class="ttdeci">EPlayerSoundEventID</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d1b/_player_sound_event_handler_8c_source.html#l00001">PlayerSoundEventHandler.c:2</a></div></div>
<div class="ttc" id="a_sound_events_8c_html_a8be8205879e1a5afc5b6a40317946990"><div class="ttname"><a href="../../d7/dfc/_sound_events_8c.html#a8be8205879e1a5afc5b6a40317946990">m_SoundVoiceAnimEventClassID</a></div><div class="ttdeci">int m_SoundVoiceAnimEventClassID</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/dfc/_sound_events_8c_source.html#l00089">SoundEvents.c:89</a></div></div>
<div class="ttc" id="aclass_heat_comfort_events_base_html"><div class="ttname"><a href="../../df/d57/class_heat_comfort_events_base.html">HeatComfortEventsBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d80/_heat_comfort_events_8c_source.html#l00025">HeatComfortEvents.c:26</a></div></div>
<div class="ttc" id="aclass_heat_comfort_events_base_html_a980c5c1ed811acb203e5463d88ad3b07"><div class="ttname"><a href="../../df/d57/class_heat_comfort_events_base.html#a980c5c1ed811acb203e5463d88ad3b07">HeatComfortEventsBase::HotSoundEvent</a></div><div class="ttdeci">void HotSoundEvent()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d80/_heat_comfort_events_8c_source.html#l00027">HeatComfortEvents.c:27</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_player_sound_event_base_html"><div class="ttname"><a href="../../d5/def/class_player_sound_event_base.html">PlayerSoundEventBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d72/_damage_events_8c_source.html#l00001">DamageEvents.c:2</a></div></div>
<div class="ttc" id="aclass_player_sound_event_base_html_a638d0d6163817cb025abdf2d08ed8a67"><div class="ttname"><a href="../../d5/def/class_player_sound_event_base.html#a638d0d6163817cb025abdf2d08ed8a67">PlayerSoundEventBase::HasPriorityOverCurrent</a></div><div class="ttdeci">override bool HasPriorityOverCurrent(PlayerBase player, EPlayerSoundEventID other_state_id, EPlayerSoundEventType type_other)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d80/_heat_comfort_events_8c_source.html#l00010">HeatComfortEvents.c:10</a></div></div>
<div class="ttc" id="aclass_player_sound_event_base_html_ab01aa097a21faceb59c39b481d9eb4a7"><div class="ttname"><a href="../../d5/def/class_player_sound_event_base.html#ab01aa097a21faceb59c39b481d9eb4a7">PlayerSoundEventBase::HeatComfortEventsBase</a></div><div class="ttdeci">void HeatComfortEventsBase()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d80/_heat_comfort_events_8c_source.html#l00004">HeatComfortEvents.c:4</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_78582fda97199c57cc221ad43f65edbb.html">SoundEvents</a></li><li class="navelem"><a class="el" href="../../dir_146c2ee5711a6aff27f2a707240475a0.html">PlayerSoundEvents</a></li><li class="navelem"><a class="el" href="../../dir_9a753cd1f438ba0c0ac12aa10d2c10bc.html">Events</a></li><li class="navelem"><a class="el" href="../../db/d80/_heat_comfort_events_8c.html">HeatComfortEvents.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
